[arch-commits] Commit in colortail/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Thu Nov 19 11:09:54 EST 2009


    Date: Thursday, November 19, 2009 @ 11:09:54
  Author: giovanni
Revision: 59034

Merged revisions 59032 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/colortail/trunk

........
  r59032 | giovanni | 2009-11-19 08:06:24 -0800 (gio, 19 nov 2009) | 1 line
........

Modified:
  colortail/repos/extra-x86_64/	(properties)
  colortail/repos/extra-x86_64/PKGBUILD
Deleted:
  colortail/repos/extra-x86_64/colortail-0.3.0-gcc4.4.patch

------------------------------+
 PKGBUILD                     |   16 ++++++----------
 colortail-0.3.0-gcc4.4.patch |   33 ---------------------------------
 2 files changed, 6 insertions(+), 43 deletions(-)


Property changes on: colortail/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /colortail/trunk:1-49842
   + /colortail/trunk:1-59033

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-19 16:07:30 UTC (rev 59033)
+++ extra-x86_64/PKGBUILD	2009-11-19 16:09:54 UTC (rev 59034)
@@ -3,24 +3,20 @@
 # Contributor: Mauricio Barrera <damage at damage.zero.org>
 
 pkgname=colortail
-pkgver=0.3.0
-pkgrel=3
+pkgver=0.3.1
+pkgrel=1
 pkgdesc="Log colorizer to make log checking easier"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://joakimandersson.se/projects/colortail/"
 depends=('gcc-libs>=4.4.1')
-source=(http://joakimandersson.se/files/${pkgname}-${pkgver}.tar.gz
-        http://joakimandersson.se/files/${pkgname}-${pkgver}-gcc3.patch.gz
-        colortail-0.3.0-gcc4.4.patch)
-md5sums=('2589d3e372080f4052d1cc0d6550508f'
-         '504b3c31dde38bba11e2ee407e3225c4'
-         'd5093db5a9016544064f94045e862608')
+source=(http://joakimandersson.se/files/${pkgname}-${pkgver}.tar.gz)
+md5sums=('e4ada39a0b9e7512011bd26eb074c65e')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  patch -Np1 -i "${srcdir}/${pkgname}-${pkgver}-gcc3.patch" || return 1
-  patch -Np1 -i "${srcdir}/colortail-0.3.0-gcc4.4.patch" || return 1
+  #patch -Np1 -i "${srcdir}/${pkgname}-${pkgver}-gcc3.patch" || return 1
+  #patch -Np1 -i "${srcdir}/colortail-0.3.0-gcc4.4.patch" || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1

Deleted: extra-x86_64/colortail-0.3.0-gcc4.4.patch
===================================================================
--- extra-x86_64/colortail-0.3.0-gcc4.4.patch	2009-11-19 16:07:30 UTC (rev 59033)
+++ extra-x86_64/colortail-0.3.0-gcc4.4.patch	2009-11-19 16:09:54 UTC (rev 59034)
@@ -1,33 +0,0 @@
-diff -ru colortail-0.3.0/CfgFileParser.cc colortail-0.3.0.patched/CfgFileParser.cc
---- colortail-0.3.0/CfgFileParser.cc	2009-08-16 20:21:33.000000000 +0200
-+++ colortail-0.3.0.patched/CfgFileParser.cc	2009-08-16 20:19:41.000000000 +0200
-@@ -21,6 +21,7 @@
- 
- #include <iostream>
- #include <assert.h>
-+#include <cstring>
- #include <string>
- #include <malloc.h>
- 
-diff -ru colortail-0.3.0/Colorizer.cc colortail-0.3.0.patched/Colorizer.cc
---- colortail-0.3.0/Colorizer.cc	2009-08-16 20:21:33.000000000 +0200
-+++ colortail-0.3.0.patched/Colorizer.cc	2009-08-16 20:19:55.000000000 +0200
-@@ -23,6 +23,7 @@
- 
- #include <assert.h>
- #include <iostream>
-+#include <cstring>
- #include <string>
- 
- using namespace std;
-diff -ru colortail-0.3.0/main.cc colortail-0.3.0.patched/main.cc
---- colortail-0.3.0/main.cc	1999-08-03 21:42:59.000000000 +0200
-+++ colortail-0.3.0.patched/main.cc	2009-08-16 20:20:34.000000000 +0200
-@@ -19,6 +19,7 @@
- 
- #include <stdio.h>
- #include <signal.h>
-+#include <cstdlib>
- 
- #include "main.h"
- #include "ColorTail.h"



More information about the arch-commits mailing list